;; -*- Mode: emacs-lisp; indent-tabs-mode: t; tab-width: 4; -*-
;;
;; semi-init.el
;;
;; Takuo KITAME <kitame@northeye.org>

(setq load-path 
      (cons 
       (concat "/usr/share/" (symbol-name debian-emacs-flavor)
              "/site-lisp/semi")
       load-path))

(require 'mime-setup)

;; use emacs-w3m for text/html if available
(if (module-installed-p 'mime-w3m)
	(progn
	  (setq mime-setup-enable-inline-html nil)
	  (eval-after-load "mime-view"
		'(progn
		   (autoload 'mime-w3m-preview-text/html "mime-w3m")
		   (ctree-set-calist-strictly
			'mime-preview-condition
				  '((type . text)
					(subtype . html)
					(body . visible)
					(body-presentation-method . mime-w3m-preview-text/html)))
		   (set-alist 'mime-view-type-subtype-score-alist
					  '(text . html) 3)))
	  ))
